Subject: [TR] Tr3a steering tight after rebuild

From: Art McEwen <[email-masked]>
Date: Sun, 17 May 2020 14:10:35 -0400

Re-installed my rebuilt steering box and, even though it felt fine on the bench, back in the car the steering is significantly tighter.  Not quite a parking lot 3-point turn level of effort but well beyond finger tip effort.  And this is while still up on jacks with the set screw backed right off.  I loosened off the shim cover bolts thinking I was too tight but no difference.  It doesn't feel like it's binding at any point of the travel, it's tight lock to lock.  I waited until the shaft was reassembled before tightening the box attachment bolts so the box would align to the shaft, not vice versa.

Could this really all be down to resistance from the 2 new bearings in the split shaft (plenty of grease added) and the new felt at the steering wheel?  

Also should the upper felt be greased/oiled?

Thanks,

Art. 60tr
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive